# eric4.IconEditor.IconSizeDialog

Module implementing a dialog to enter the icon size.

### Global Attributes

None

### Classes

IconSizeDialog | Class implementing a dialog to enter the icon size.

### Functions

None

## IconSizeDialog

Class implementing a dialog to enter the icon size.

### Derived from

QDialog, Ui_IconSizeDialog

### Class Attributes

None

### Class Methods

None

### Methods

IconSizeDialog | Constructor
getData | Public method to get the entered data.

### Static Methods

None

#### IconSizeDialog (Constructor)

IconSizeDialog(width, height, parent = None)

Constructor

width
  width to be set (integer)
height
  height to be set (integer)
parent
  reference to the parent widget (QWidget)

#### IconSizeDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple with width and height (tuple of two integers)

Up